use std::io;
pub mod chessboard;
use shakmaty::{Chess, Color};

pub fn play() {
    let mut chess = Chess::default();
    loop {
        println!("{}", chessboard::board_representation(&chess, Color::White));
        let mut input = String::new();
        io::stdin().read_line(&mut input).unwrap();
        print!("try to play: {}", input);
        match chessboard::try_to_play_move(&chess, String::from(input.trim())) {
            Ok(played_chess) => chess = played_chess,
            Err(e) => println!("Error: {}", e),
        };
    }
}
